Middle manager exits with this message: Insufficient threads: max=5 < needed(acceptors=1 + selectors

Im testing druid and running into issues.

https://paste.fedoraproject.org/460970/14774258/raw/

Middle manager exits with this error: " Insufficient threads: max=5 < needed(acceptors=1 + selectors".

Any suggestions on what can be the problem?

This is the docker based setup im trying: https://github.com/znly/docker-druid

Hey JC,

Set ‘druid.server.http.numThreads’ to a value of 6 or greater, see https://github.com/druid-io/druid/pull/3492

@David

I’ve tried that but still running into same error… Almost like those settings are not being picked up.

https://paste.fedoraproject.org/461927/75818591/raw/

ahh silly me. I forgot to rebuild docker container after applying changes. Everything works now.